## latex2rtf 2.3.18a

=== Makefile ===
CC?=gcc
TAR?=gnutar
RM?=rm -f
MKDIR?=mkdir -p
RMDIR?=rm -rf
PKGMANDIR?=man

#reasonable flags for developing
#CFLAGS = -g -D_FORTIFY_SOURCE=2 -Wall -Waggregate-return -Wmissing-declarations -Wmissing-prototypes -Wredundant-decls -Wshadow -Wstrict-prototypes -Wformat=2

PLATFORM?=-DUNIX   # Mac OS X, Linux, BSD
#PLATFORM?=-DMSDOS # Windows/DOS
#PLATFORM?=-DOS2   # OS/2 (does anyone still use this?)
#PLATFORM?=-DMSDOS -DNOSTDERR  # Windows/DOS without stderr

#Uncomment for some windows machines (neither needed for djgpp nor for MinGW)
#EXE_SUFFIX=.exe

#Base directory - adapt as needed
# Unix:
PREFIX?=/usr/local
#Uncomment next 2 lines for Windows
#DESTDIR_DRIVE=C:
#PREFIX?=$(DESTDIR_DRIVE)/PROGRA~1/latex2rtf

#Name of executable binary --- beware of 8.3 restriction under DOS
BINARY_NAME=latex2rtf$(EXE_SUFFIX)

# Location of binary, man, info, and support files - adapt as needed
BINDIR=$(PREFIX)/bin
MANDIR=$(PREFIX)/share/$(PKGMANDIR)/man1
INFODIR=$(PREFIX)/share/info
SUPPORTDIR=$(PREFIX)/share/latex2rtf
CFGDIR=$(PREFIX)/share/latex2rtf/cfg

#Uncomment next 5 lines for Windows
#BINDIR=
#MANDIR=
#INFODIR=
#SUPPORTDIR=
#CFGDIR=/cfg

# Nothing to change below this line - except:
# for Windows, change "all : checkdir latex2rtf" to "all : latex2rtf"

CFLAGS:=$(CFLAGS) $(PLATFORM)

LIBS= -lm

L2R_VERSION:="latex2rtf-`grep 'Version' version.h | sed 's/[^"]*"\([^" ]*\).*/\1/'`"

SRCS=commands.c chars.c direct.c encodings.c fonts.c funct1.c tables.c ignore.c \
	main.c stack.c cfg.c utils.c parser.c lengths.c counters.c letterformat.c \
	preamble.c equations.c convert.c xrefs.c definitions.c graphics.c \
	mygetopt.c styles.c preparse.c vertical.c fields.c \
	labels.c biblio.c acronyms.c auxfile.c

HDRS=commands.h chars.h direct.h encodings.h fonts.h funct1.h tables.h ignore.h \
    main.h stack.h cfg.h utils.h parser.h lengths.h counters.h letterformat.h \
    preamble.h equations.h convert.h xrefs.h definitions.h graphics.h encoding_tables.h \
    version.h mygetopt.h styles.h preparse.h vertical.h fields.h labels.h biblio.h acronyms.h \
	auxfile.h

CFGS=cfg/fonts.cfg cfg/direct.cfg cfg/ignore.cfg cfg/style.cfg \
    cfg/afrikaans.cfg cfg/bahasa.cfg cfg/basque.cfg cfg/brazil.cfg cfg/breton.cfg \
    cfg/catalan.cfg cfg/croatian.cfg cfg/czech.cfg cfg/danish.cfg cfg/dutch.cfg \
    cfg/english.cfg cfg/esperanto.cfg cfg/estonian.cfg cfg/finnish.cfg cfg/french.cfg \
    cfg/galician.cfg cfg/german.cfg cfg/icelandic.cfg cfg/irish.cfg cfg/italian.cfg \
    cfg/latin.cfg cfg/lsorbian.cfg cfg/magyar.cfg cfg/norsk.cfg cfg/nynorsk.cfg \
    cfg/polish.cfg cfg/portuges.cfg cfg/romanian.cfg cfg/samin.cfg cfg/scottish.cfg \
    cfg/serbian.cfg cfg/slovak.cfg cfg/slovene.cfg cfg/spanish.cfg cfg/swedish.cfg \
    cfg/turkish.cfg cfg/usorbian.cfg cfg/welsh.cfg cfg/russian.cfg \
    cfg/ukrainian.cfg cfg/frenchb.cfg cfg/greek.cfg cfg/british.cfg

DOCS= doc/latex2rtf.1   doc/latex2png.1    doc/latex2rtf.texi doc/latex2rtf.pdf \
      doc/latex2rtf.txt doc/latex2rtf.info doc/latex2rtf.html doc/credits \
      doc/copying.txt   doc/Makefile       doc/latex2pn.txt  doc/latex2rt.txt

README= README README.DOS README.Mac README.OS2 README.Solaris README.VMS README.OSX \
        Copyright ChangeLog

SCRIPTS= scripts/latex2png scripts/latex2png_1 scripts/latex2png_2 \
	scripts/pdf2pnga scripts/README \
	scripts/Makefile scripts/test1.tex scripts/test2.tex scripts/test3.tex \
	scripts/test3a.tex scripts/test4.tex scripts/test1fig.eps

TEST=  \
	test/Makefile                test/enc_cp852.tex      test/fig_testd.pdf     \
	test/accentchars.tex         test/enc_cp855.tex      test/fig_testd.ps      \
	test/align.tex               test/enc_cp865.tex      test/fig_teste.pdf     \
	test/array.tex               test/enc_cp866.tex      test/fig_testf.png     \
	test/babel_czech.tex         test/enc_decmulti.tex   test/fig_tex.eps       \
	test/babel_french.tex        test/enc_koi8-r.tex     test/fonts.tex         \
	test/babel_frenchb.tex       test/enc_koi8-u.tex     test/fontsize.tex      \
	test/babel_german.tex        test/enc_latin1.tex     test/fonttest.tex      \
	test/babel_russian.tex       test/enc_latin2.tex     test/frac.tex          \
	test/babel_spanish.tex       test/enc_latin3.tex     test/geometry.tex      \
	test/bib_apacite.tex         test/enc_latin4.tex     test/geotest.tex       \
	test/bib_apacite_dblsp.tex   test/enc_latin5.tex     test/german.tex        \
	test/bib_apalike.tex         test/enc_latin9.tex     test/head_article.tex  \
	test/bib_apalike2.tex        test/enc_maccyr.tex     test/head_book.tex     \
	test/bib_apanat.tex          test/head_report.tex                           \
	test/bib_authordate.tex      test/enc_next.tex       test/hndout.sty        \
	test/bib_harvard.bib         test/enc_utf8x.tex      test/ifclause.tex      \
	test/bib_harvard.tex         test/endnote.tex        test/include.tex       \
	test/bib_natbib1.tex         test/eqnnumber.tex      test/include1.tex      \
	test/bib_natbib2.tex         test/eqnnumber2.tex     test/include2.tex      \
	test/bib_natbib3.tex         test/eqns-koi8.tex      test/include3.tex      \
	test/bib_simple.bib          test/eqns.tex           test/linux.tex         \
	test/bib_simple.tex          test/eqns2.tex          test/list.tex          \
	test/bib_super.tex           test/essential.tex      test/logo.tex          \
	test/bibentry_apalike.bib    test/excalibur.tex      test/misc1.tex         \
	test/bibentry_apalike.tex    test/fancy.tex          test/misc2.tex         \
	test/bibentry_plain.bib      test/fig_endfloat.tex   test/misc3.tex         \
	test/bibentry_plain.tex      test/fig_oval.eps       test/misc4.tex         \
	test/box.tex                 test/fig_oval.pict      test/oddchars.tex      \
	test/bracecheck              test/fig_oval.png       test/overstrike.tex    \
	test/ch.tex                  test/fig_size.tex       test/percent.tex       \
	test/chem.tex                test/fig_test.eps       test/picture.tex       \
	test/color.tex               test/fig_test.tex       test/qualisex.tex      \
	test/dblspace.tex            test/fig_test2.tex      test/report.tex        \
	test/defs.tex                test/fig_test3.tex      test/spago1.tex        \
	test/enc_applemac.tex        test/fig_test4.tex      test/subsup.tex        \
	test/enc_cp1250.tex          test/fig_testa.eps      test/tabbing.tex       \
	test/enc_cp1251.tex          test/fig_testb.pdf      test/tabular.tex       \
	test/enc_cp1252.tex          test/fig_testb.ps       test/theorem.tex       \
	test/enc_cp437.tex           test/fig_testc.pdf      test/ttgfsr7.tex       \
	test/enc_cp850.tex           test/fig_testc.ps       test/ucsymbols.tex     \
	test/bib_apa.tex             test/bib_apa.bib        test/bib_apacite2.tex  \
	test/bib_apacite2.bib        test/fig_subfig.tex     test/include4.tex      \
	test/include5.tex            test/hyperref.tex       test/bib_super.bib     \
	test/longstack.tex           test/table_array1.tex   test/table_array2.tex  \
	test/bib_apacite3.tex        test/bib_apacite3.bib   test/color2.tex        \
	test/fig_png.tex             test/fig_10x15.png      test/psfig.sty         \
	test/cyrillic.tex            test/greek.tex          test/direct.tex        \
	test/acronym.tex             test/acronym.bib        test/style.tex         \
	test/enc_moroz_koi8.tex      test/enc_moroz_ot2.tex  test/enc_moroz_utf8.tex\
	test/enc_ot2.tex             test/keywords.tex       test/bib_natbib4.tex   \
	test/graphicspath.tex        test/bib_style.tex      test/tikz.tex          \
	test/tikz2.tex
	
OBJS=fonts.o direct.o encodings.o commands.o stack.o funct1.o tables.o \
	chars.o ignore.o cfg.o main.o utils.o parser.o lengths.o counters.o \
	preamble.o letterformat.o equations.o convert.o xrefs.o definitions.o graphics.o \
	mygetopt.o styles.o preparse.o vertical.o fields.o \
	labels.o biblio.o auxfile.o	acronyms.o

all : checkdir latex2rtf    # Windows: remove "checkdir"

latex2rtf: $(OBJS) $(HDRS)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS)	$(LIBS) -o $(BINARY_NAME)

cfg.o: Makefile cfg.c
	$(CC) $(CFLAGS) -DCFGDIR=\"$(CFGDIR)\" $(PLATFORM) -c $*.c

main.o: Makefile main.c
	$(CC) $(CFLAGS) -DCFGDIR=\"$(CFGDIR)\" $(PLATFORM) -c $*.c

%.o: Makefile %.c
	$(CC) $(CFLAGS) $(PLATFORM) -c $*.c

check test: latex2rtf
	cd test && $(MAKE) clean
	cd test && $(MAKE)
	cd test && $(MAKE) check
	
fullcheck: latex2rtf
	cd scripts && $(MAKE)
	cd test && $(MAKE) clean
	cd test && $(MAKE) all
	cd test && $(MAKE) check

checkdir: $(README) $(SRCS) $(HDRS) $(CFGS) $(SCRIPTS) $(TEST) doc/latex2rtf.texi Makefile vms_make.com

clean: checkdir
	-$(RM) $(OBJS) core $(BINARY_NAME)
	-$(RMDIR) tmp

depend: $(SRCS)
	$(CC) -MM $(SRCS) >makefile.depend
	@echo "***** Append makefile.depend to Makefile manually ******"

dist: checkdir releasedate latex2rtf doc $(SRCS) $(HDRS) $(CFGS) $(README) Makefile vms_make.com $(SCRIPTS) $(DOCS) $(TEST)
	$(MAKE) releasedate
	$(RMDIR) $(L2R_VERSION)
	$(MKDIR) $(L2R_VERSION)
	$(MKDIR) $(L2R_VERSION)/cfg
	$(MKDIR) $(L2R_VERSION)/doc
	$(MKDIR) $(L2R_VERSION)/test
	$(MKDIR) $(L2R_VERSION)/scripts
	ln $(SRCS)         $(L2R_VERSION)
	ln $(HDRS)         $(L2R_VERSION)
	ln $(README)       $(L2R_VERSION)
	ln Makefile        $(L2R_VERSION)
	ln vms_make.com    $(L2R_VERSION)
	ln $(CFGS)         $(L2R_VERSION)/cfg
	ln $(DOCS)         $(L2R_VERSION)/doc
	ln $(SCRIPTS)      $(L2R_VERSION)/scripts
	ln $(TEST)         $(L2R_VERSION)/test
	$(TAR) cvfz $(L2R_VERSION).tar.gz $(L2R_VERSION)
	$(RMDIR) $(L2R_VERSION)

uptodate:
	perl -pi.bak -e '$$date=scalar localtime; s/\(.*/($$date)";/' version.h
	$(RM) version.h.bak

releasedate:
	perl -pi.bak -e '$$date=scalar localtime; s/\(.*/(released $$date)";/; s/d ..../d /;s/\d\d:\d\d:\d\d //;' version.h
	$(RM) version.h.bak

doc: doc/latex2rtf.texi doc/Makefile
	cd doc && $(MAKE) -k

install: latex2rtf doc/latex2rtf.1 $(CFGS) scripts/latex2png
	cd doc && $(MAKE)
	$(MKDIR) $(DESTDIR)$(BINDIR)
	$(MKDIR) $(DESTDIR)$(MANDIR)
	$(MKDIR) $(DESTDIR)$(CFGDIR)
	cp -p scripts/latex2png  $(DESTDIR)$(BINDIR)
	cp -p doc/latex2rtf.1    $(DESTDIR)$(MANDIR)
	cp -p doc/latex2png.1    $(DESTDIR)$(MANDIR)
	cp -p $(CFGS)            $(DESTDIR)$(CFGDIR)
	cp -p doc/latex2rtf.html $(DESTDIR)$(SUPPORTDIR)
	cp -p doc/latex2rtf.pdf  $(DESTDIR)$(SUPPORTDIR)
	cp -p doc/latex2rtf.txt  $(DESTDIR)$(SUPPORTDIR)
	cp -p $(BINARY_NAME)     $(DESTDIR)$(BINDIR)
	@echo "******************************************************************"
	@echo "*** latex2rtf successfully installed as \"$(BINARY_NAME)\""
	@echo "*** in directory \"$(BINDIR)\""
	@echo "***"
	@echo "*** \"make install-info\" will install TeXInfo files "
	@echo "***"
	@echo "*** latex2rtf was compiled to search for its configuration files in"
	@echo "***           \"$(CFGDIR)\" "
	@echo "***"
	@echo "*** If the configuration files are moved then either"
	@echo "***   1) set the environment variable RTFPATH to this new location, or"
	@echo "***   2) use the command line option -P /path/to/cfg, or"
	@echo "***   3) edit the Makefile and recompile"
	@echo "******************************************************************"

install-info: doc/latex2rtf.info
	$(MKDIR) $(DESTDIR)$(INFODIR)
	cp -p doc/latex2rtf.info $(DESTDIR)$(INFODIR)
	install-info --info-dir=$(DESTDIR)$(INFODIR) doc/latex2rtf.info

realclean: checkdir clean
	$(RM) makefile.depend $(L2R_VERSION).tar.gz
	cd doc && $(MAKE) clean
	cd test && $(MAKE) clean

appleclean:
	sudo xattr -r -d com.apple.FinderInfo ../trunk
	sudo xattr -r -d com.apple.TextEncoding ../trunk
	
splint:
	splint -weak $(SRCS) $(HDRS)
	
.PHONY: all check checkdir clean depend dist doc install install_info realclean latex2rtf uptodate releasedate splint fullcheck

# created using "make depend"
commands.o: commands.c cfg.h main.h convert.h chars.h fonts.h preamble.h \
  funct1.h tables.h equations.h letterformat.h commands.h parser.h \
  xrefs.h ignore.h lengths.h definitions.h graphics.h vertical.h \
  encodings.h labels.h acronyms.h biblio.h

=== scripts/Makefile ===
#
# Initial version 28 May 2001 Scott Prahl
#
LATEX2PNG= ./latex2png
TMP= ../tmp

PNG= test1.png test2.png test3.png test4.png $(TMP)/test1.png test1fig.png

all:
	mkdir -p $(TMP)
	$(MAKE) png

png: $(PNG)

%.png:	%.tex
	$(LATEX2PNG) $<

test1.png: test1.tex
	$(LATEX2PNG) test1
	$(LATEX2PNG) test1.tex
	$(LATEX2PNG) -d 200 test1
	$(LATEX2PNG) -m test1
	$(LATEX2PNG) -c test1
	$(LATEX2PNG) -g test1
	$(LATEX2PNG) -d 200 -g test1

test3.png: test3.tex test3a.tex

$(TMP)/test1.png: test1.tex
	cp test1.tex $(TMP)
	$(LATEX2PNG) -H . $(TMP)/test1
	cp test1fig.eps $(TMP)
	$(LATEX2PNG) $(TMP)/test1

test1fig.png: test1fig.eps
	$(LATEX2PNG) test1fig.eps
	$(LATEX2PNG) -d 200 test1fig.eps
	$(LATEX2PNG) -m test1fig.eps
	$(LATEX2PNG) -c test1fig.eps
	$(LATEX2PNG) -g test1fig.eps
	$(LATEX2PNG) -d 200 -g test1fig.eps

clean:
	rm -f *.png *.pbm *.aux *.log *.dvi *.map 
	rm -rf $(TMP)
	
.PHONY: clean all

=== test/Makefile ===
#
# Initial version 28 May 2001 Scott Prahl
#
LATEX= latex -interaction=nonstopmode
BIBTEX= bibtex
LATEX2RTF= ../latex2rtf 
OPTIONS  = -Z3 -P ../cfg/:../scripts/ -T tmp/ 
MKDIR?=mkdir -p
RMDIR?=rm -rf
RM?=rm -f
MV?=mv

LATEX_LOG = > latex.log
#LATEX_LOG = 

RTF=	align.rtf	 array.rtf 		box.rtf 			ch.rtf	             \
		chem.rtf 	 color.rtf 		dblspace.rtf		defs.rtf             \
		endnote.rtf	 essential.rtf	fancy.rtf            \
		fonts.rtf	 fontsize.rtf 	fonttest.rtf  		geometry.rtf         \
		geotest.rtf  german.rtf		head_article.rtf	head_book.rtf        \
		list.rtf 	 ifclause.rtf	include.rtf			linux.rtf            \
		logo.rtf 	 misc1.rtf 		misc3.rtf 			misc4.rtf            \
		percent.rtf	 report.rtf		hyperref.rtf        longstack.rtf	     \
		head_report.rtf  keywords.rtf

BIB_TESTS=  bib_apacite.rtf        bib_harvard.rtf        bib_super.rtf      \
			bib_apacite_dblsp.rtf  bib_natbib1.rtf        bib_apalike.rtf    \
			bib_natbib2.rtf        bibentry_apalike.rtf   bib_apalike2.rtf   \
			bib_natbib3.rtf        bib_apanat.rtf         bibentry_plain.rtf \
			bib_authordate.rtf     bib_simple.rtf         bib_apa.rtf        \
			bib_apacite2.rtf       bib_apacite3.rtf       bib_natbib4.rtf    \
			bib_style.rtf
	
FIG_TESTS=  fig_endfloat.rtf  fig_test.rtf      fig_test3.rtf \
            fig_size.rtf      fig_test2.rtf     fig_test4.rtf \
            picture.rtf       fig_subfig.rtf    fig_png.rtf \
            graphicspath.rtf  tikz.rtf          tikz2.rtf

ENC_TESTS= 	enc_applemac.rtf enc_cp437.rtf  enc_cp865.rtf    enc_latin2.rtf enc_latin5.rtf \
			enc_cp1250.rtf   enc_cp850.rtf  enc_decmulti.rtf enc_latin3.rtf enc_latin9.rtf\
			enc_cp1252.rtf   enc_cp852.rtf  enc_latin1.rtf   enc_latin4.rtf enc_next.rtf\
			enc_cp1251.rtf   enc_cp855.rtf  enc_cp866.rtf    enc_koi8-r.rtf enc_koi8-u.rtf \
			enc_maccyr.rtf   eqns-koi8.rtf 	enc_utf8x.rtf    enc_ot2.rtf    enc_moroz_koi8.rtf \
			enc_moroz_utf8.rtf enc_moroz_ot2.rtf

BABEL_TESTS=babel_german.rtf babel_russian.rtf babel_czech.rtf babel_french.rtf \
	        babel_frenchb.rtf # babel_spanish.rtf 
	        
EQN_TESTS=  eqns.rtf	eqns2.rtf eqns-koi8.rtf ttgfsr7.rtf spago1.rtf misc2.rtf\
            frac.rtf	subsup.rtf	theorem.rtf eqnnumber.rtf eqnnumber2.rtf

CHAR_TESTS= accentchars.rtf oddchars.rtf overstrike.rtf ucsymbols.rtf greek.rtf cyrillic.rtf \
            direct.rtf

TABLE_TESTS= tabbing.rtf tabular.rtf table_array1.rtf table_array2.rtf

EXTRA_TESTS= excalibur.rtf acronym.rtf qualisex.rtf

basic:
	$(MAKE) basic_tests
	
bib:
	$(MAKE) bib_tests

fig:
	-$(MKDIR) tmp
	$(MAKE) fig_tests

enc:
	$(MAKE) enc_tests
	
eqn:
	$(MAKE) eqn_tests

babel:
	$(MAKE) babel_tests

char:
	$(MAKE) char_tests

table:
	-$(MKDIR) tmp
	$(MAKE) table_tests

extra:
	$(MAKE) extra_tests
	
all:
	-$(MKDIR) tmp
	$(MAKE) basic_tests
	$(MAKE) babel_tests
	$(MAKE) bib_tests
	$(MAKE) eqn_tests
	$(MAKE) fig_tests
	$(MAKE) enc_tests
	$(MAKE) char_tests
	$(MAKE) table_tests
	$(MAKE) extra_tests

basic_tests: $(RTF)

bib_tests: $(BIB_TESTS)

fig_tests: $(FIG_TESTS)

enc_tests: $(ENC_TESTS)

babel_tests: $(BABEL_TESTS)

eqn_tests: $(EQN_TESTS)

char_tests: $(CHAR_TESTS)

table_tests: $(TABLE_TESTS)

extra_tests: $(EXTRA_TESTS)

#these tests require that some non-standard latex style be installed

%.rtf:	%.tex
	$(LATEX2RTF) $(OPTIONS) $<


keywords.rtf:	keywords.tex

acronym.rtf:	acronym

acronym:
	$(LATEX) acronym $(LATEX_LOG)
	$(BIBTEX) acronym $(LATEX_LOG)
	$(LATEX) acronym $(LATEX_LOG)
	$(LATEX) acronym $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) acronym

babel_czech.rtf: babel_czech.tex
	$(LATEX) babel_czech $(LATEX_LOG)
	$(LATEX) babel_czech $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) babel_czech

babel_french.rtf: babel_french.tex
	$(LATEX) babel_french $(LATEX_LOG)
	$(LATEX) babel_french $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) babel_french

babel_frenchb.rtf: babel_frenchb.tex
	$(LATEX) babel_frenchb $(LATEX_LOG)
	$(LATEX) babel_frenchb $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) babel_frenchb

babel_german.rtf: babel_german.tex
	$(LATEX) babel_german $(LATEX_LOG)
	$(LATEX) babel_german $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) babel_german

babel_russian.rtf: babel_russian.tex
	$(LATEX) babel_russian $(LATEX_LOG)
	$(LATEX) babel_russian $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) babel_russian

babel_spanish.rtf: babel_spanish.tex
	$(LATEX) babel_spanish $(LATEX_LOG)
	$(LATEX) babel_spanish $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) babel_spanish

bib_simple.rtf: bib_simple.tex bib_simple.bib
	$(LATEX) bib_simple $(LATEX_LOG)
	$(BIBTEX) bib_simple > bibtex.log
	$(LATEX) bib_simple $(LATEX_LOG)
	$(LATEX) bib_simple $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) bib_simple

bib_apalike.rtf: bib_apalike.tex
	$(LATEX) bib_apalike $(LATEX_LOG)
	$(LATEX) bib_apalike $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) bib_apalike

bib_apa.rtf: bib_apa.tex
	$(LATEX) bib_apa $(LATEX_LOG)
	$(BIBTEX) bib_apa > bibtex.log
	$(LATEX) bib_apa $(LATEX_LOG)
	$(LATEX) bib_apa $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) bib_apa

bib_apacite.rtf: bib_apacite.tex
	$(LATEX) bib_apacite $(LATEX_LOG)
	$(LATEX) bib_apacite $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) bib_apacite

bib_apacite2.rtf: bib_apacite2.tex bib_apacite2.bib
	$(LATEX) bib_apacite2 $(LATEX_LOG)
	$(BIBTEX) bib_apacite2 > bibtex.log
	$(LATEX) bib_apacite2 $(LATEX_LOG)
	$(LATEX) bib_apacite2 $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) bib_apacite2

bib_apacite3.rtf: bib_apacite3.tex bib_apacite3.bib
	$(LATEX) bib_apacite3 $(LATEX_LOG)
	$(BIBTEX) bib_apacite3 > bibtex.log
	$(LATEX) bib_apacite3 $(LATEX_LOG)
	$(LATEX) bib_apacite3 $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) bib_apacite3

bib_apacite_dblsp.rtf: bib_apacite_dblsp.tex
	$(LATEX) bib_apacite_dblsp $(LATEX_LOG)
	$(LATEX) bib_apacite_dblsp $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) bib_apacite_dblsp

bib_apalike2.rtf: bib_apalike2.tex
	$(LATEX) bib_apalike2 $(LATEX_LOG)
	$(LATEX) bib_apalike2 $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) bib_apalike2

bib_natbib1.rtf: bib_natbib1.tex
	$(LATEX) bib_natbib1 $(LATEX_LOG)
	$(LATEX) bib_natbib1 $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) bib_natbib1

bib_natbib2.rtf: bib_natbib2.tex
	$(LATEX) bib_natbib2 $(LATEX_LOG)
	$(LATEX) bib_natbib2 $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) bib_natbib2

bib_natbib3.rtf: bib_natbib3.tex
	$(LATEX) bib_natbib3 $(LATEX_LOG)
	$(LATEX) bib_natbib3 $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) bib_natbib3

bib_natbib4.rtf: bib_natbib4.tex
	$(LATEX) bib_natbib4 $(LATEX_LOG)
	$(LATEX) bib_natbib4 $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) bib_natbib4

bib_style.rtf: bib_style.tex
	$(LATEX) bib_style $(LATEX_LOG)
	$(LATEX) bib_style $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) bib_style

bib_apanat.rtf: bib_apanat.tex
	$(LATEX) bib_apanat $(LATEX_LOG)
	$(LATEX) bib_apanat $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) bib_apanat

bib_authordate.rtf: bib_authordate.tex
	$(LATEX) bib_authordate $(LATEX_LOG)
	$(LATEX) bib_authordate $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) bib_authordate

bib_harvard.rtf: bib_harvard.tex bib_harvard.bib
	$(LATEX) bib_harvard $(LATEX_LOG)
	$(BIBTEX) bib_harvard > bibtex.log
	$(LATEX) bib_harvard $(LATEX_LOG)
	$(LATEX) bib_harvard $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) bib_harvard
	$(RM) bib_harvard.out

bibentry_plain.rtf: bibentry_plain.tex bibentry_plain.bib
	$(LATEX) bibentry_plain $(LATEX_LOG)
	$(BIBTEX) bibentry_plain > bibtex.log
	$(LATEX) bibentry_plain $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) bibentry_plain

bibentry_apalike.rtf: bibentry_apalike.tex bibentry_apalike.bib
	$(LATEX) bibentry_apalike $(LATEX_LOG)
	$(BIBTEX) bibentry_apalike > bibtex.log
	$(LATEX) bibentry_apalike $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) bibentry_apalike

bib_super.rtf: bib_super.tex
	$(LATEX) bib_super $(LATEX_LOG)
	$(BIBTEX) bib_super > bibtex.log
	$(LATEX) bib_super $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) bib_super

misc2.rtf: misc2.tex
	$(LATEX) misc2 $(LATEX_LOG)
	$(LATEX) misc2 $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) misc2

misc4.rtf: misc4.tex
	$(LATEX) misc4 $(LATEX_LOG)
	$(LATEX) misc4 $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) misc4

ttgfsr7.rtf: ttgfsr7.tex
	$(LATEX) ttgfsr7 $(LATEX_LOG)
	$(LATEX) ttgfsr7 $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) ttgfsr7

fig_test.rtf: fig_test.tex fig_test.eps fig_testc.ps
	$(LATEX) fig_test $(LATEX_LOG)
	$(LATEX) fig_test $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) -F fig_test

fig_test2.rtf: fig_test2.tex fig_testb.pdf fig_testc.pdf
	$(LATEX2RTF) $(OPTIONS) -D 300 fig_test2
	$(MV) fig_test2.rtf fig_test2a.rtf
	$(LATEX2RTF) $(OPTIONS) fig_test2

fig_test3.rtf: fig_test3.tex fig_testd.ps fig_testd.pdf
	$(LATEX2RTF) $(OPTIONS) fig_test3

fig_png.rtf: fig_png.tex fig_10x15.png
	$(LATEX2RTF) $(OPTIONS) fig_png

linux.rtf: linux.tex
	$(LATEX) linux $(LATEX_LOG)
	$(LATEX) linux $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) linux

eqnnumber.rtf: eqnnumber.tex
	$(LATEX) eqnnumber $(LATEX_LOG)
	$(LATEX) eqnnumber $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) eqnnumber

eqnnumber2.rtf: eqnnumber2.tex
	$(LATEX) eqnnumber2 $(LATEX_LOG)
	$(LATEX) eqnnumber2 $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) eqnnumber2

fig_endfloat.rtf: fig_endfloat.tex
	$(LATEX) fig_endfloat $(LATEX_LOG)
	$(LATEX) fig_endfloat $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) fig_endfloat

include.rtf: include.tex include1.tex include2.tex include3.tex
	$(LATEX) include $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) include

report.rtf: report.tex
	$(LATEX) report $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) report

excalibur.rtf: excalibur.tex
	$(LATEX) excalibur $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) excalibur

dblspace.rtf: dblspace.tex
	$(LATEX) dblspace $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) dblspace

eqns.rtf: eqns.tex
	$(LATEX) eqns $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) eqns

essential.rtf: essential.tex
	$(LATEX) essential $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) essential

qualisex.rtf: qualisex.tex
	$(LATEX) qualisex $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) qualisex

hyperref.rtf: hyperref.tex
	$(LATEX) hyperref $(LATEX_LOG)
	$(LATEX2RTF) $(OPTIONS) hyperref

tabular.rtf: tabular.tex
	$(LATEX2RTF) $(OPTIONS) -t3 tabular

tabbing.rtf: tabbing.tex
	$(LATEX2RTF) $(OPTIONS) -t3 tabbing

table_array1.rtf: table_array1.tex
	$(LATEX2RTF) $(OPTIONS) -t3 table_array1

direct.rtf: direct.tex
	$(LATEX2RTF) $(OPTIONS) direct
	
check:
	./bracecheck
	
clean:
	-$(MV) fig_testb.pdf fig_testb.tmp
	-$(MV) fig_testc.pdf fig_testc.tmp
	-$(MV) fig_testd.pdf fig_testd.tmp
	-$(MV) fig_teste.pdf fig_teste.tmp
	-$(RM) *.dvi *.rtf *.aux *.blg *.bbl *.log *.pdf *.toc *.lot *.idx *.ilg *.ind
	-$(RM) l2r*tex frlicense.dat *.fff *.lof
	-$(MV) fig_testb.tmp fig_testb.pdf
	-$(MV) fig_testc.tmp fig_testc.pdf
	-$(MV) fig_testd.tmp fig_testd.pdf
	-$(MV) fig_teste.tmp fig_teste.pdf
	-$(RMDIR) tmp

.PHONY: clean all check

=== debian/changelog ===
latex2rtf (2.3.18a-5) unstable; urgency=medium

  * Update debian/watch to correctly match new upstream versions using
    extended uscan syntax.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 18 Aug 2023 20:24:38 -0400

latex2rtf (2.3.18a-4) unstable; urgency=medium

  * Resolve error on second build in source tree. (Closes: #1048167)
  * Update debian/watch to allow for non-numeric versions.
  * Cleanup debian/copyright to match actual Copyright file.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 18 Aug 2023 00:11:01 -0400

latex2rtf (2.3.18a-3) unstable; urgency=medium

  * Remove latex2rtf from .PHONY target (again...?) to resolve
    cross-compiling issues. (Closes: #963938)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 01 Jul 2020 16:27:00 -0400

latex2rtf (2.3.18a-2) unstable; urgency=medium

  * Correct bsdmainutils build dependency.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 24 Jun 2020 22:23:31 -0400

latex2rtf (2.3.18a-1) unstable; urgency=medium

  * New upstream release.
  * man_html.patch is no longer needed since Debian now has man2html.
  * Ensure CPPFLAGS are used in addition to CFLAGS.
  * Upstream tarball of previous release included latex2rtf binary,
    leading to lintian error. (Closes: #963519)
  * Build documentation and binaries separately to avoid extra work when
    just building one or the other.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 24 Jun 2020 19:59:45 -0400

=== debian/control ===
Source: latex2rtf
Section: tex
Priority: optional
Maintainer: Chris Lawrence <lawrencc@debian.org>
Standards-Version: 4.6.2
Build-Depends: debhelper (>= 13),
               debhelper-compat (= 13),
               dpkg-dev (>= 1.16.1.1),
               texlive-latex-extra,
               texlive-fonts-recommended
Build-Depends-Indep: texinfo,
                     texlive-bibtex-extra,
                     bsdextrautils | bsdmainutils (<< 12.1.1),
                     man2html,
                     man-db | man,
                     perl
Rules-Requires-Root: no
Homepage: http://latex2rtf.sourceforge.net

Package: latex2rtf
Architecture: any
Depends: imagemagick | graphicsmagick-imagemagick-compat,
         netpbm,
         texlive-base,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: latex2rtf-doc
Enhances: tetex-base, texlive-base
Description: Converts documents from LaTeX to RTF format
 Attempts to convert as much formatting information as possible from
 LaTeX to Microsoft's Rich Text Format (RTF).  While RTF has limited
 support for mathematical markup, it is widely supported as a "least
 common denominator" word processing format.
 .
 The detailed documentation is in the latex2rtf-doc package.

Package: latex2rtf-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Description: Converts documents from LaTeX to RTF - documentation
 Attempts to convert as much formatting information as possible from
 LaTeX to Microsoft's Rich Text Format (RTF).  While RTF has limited
 support for mathematical markup, it is widely supported as a "least
 common denominator" word processing format.
 .
 This package includes the documentation for LaTeX2RTF in HTML, Info
 and PDF formats.

=== debian/watch ===
version=4
https://sf.net/latex2rtf/ latex2rtf-@ANY_VERSION@@ARCHIVE_EXT@
